Error de validation COCOAPODS i386

Estoy tratando de crear mi propio POD para iOS con mi código y algunas bibliotecas y dependencies externas. El Ejemplo adjunto comstack y construye la aplicación correctamente con XCODE.

Pero cuando estoy a punto de validar con:

$> pod lib lint --allow-warnings --verbose --no-clean 

el código obtengo estos errores. Parece un problema de architecture relacionado con el esquema, pero no he tenido suerte averiguando qué está mal en la configuration.

 ** BUILD FAILED ** The following build commands failed: Ld /Users/marcsu/Library/Developer/Xcode/DerivedData/App-eszacdypuufiakgbloohgxurnwhy/Build/Intermediates/App.build/Release-iphonesimulator/App.build/Objects-normal/i386/App normal i386 Ld /Users/marcsu/Library/Developer/Xcode/DerivedData/App-eszacdypuufiakgbloohgxurnwhy/Build/Intermediates/App.build/Release-iphonesimulator/App.build/Objects-normal/x86_64/App normal x86_64 CreateUniversalBinary /Users/marcsu/Library/Developer/Xcode/DerivedData/App-eszacdypuufiakgbloohgxurnwhy/Build/Products/Release-iphonesimulator/App.app/App normal i386\ x86_64 GenerateDSYMFile /Users/marcsu/Library/Developer/Xcode/DerivedData/App-eszacdypuufiakgbloohgxurnwhy/Build/Products/Release-iphonesimulator/App.app.dSYM /Users/marcsu/Library/Developer/Xcode/DerivedData/App-eszacdypuufiakgbloohgxurnwhy/Build/Products/Release-iphonesimulator/App.app/App CodeSign /Users/marcsu/Library/Developer/Xcode/DerivedData/App-eszacdypuufiakgbloohgxurnwhy/Build/Products/Release-iphonesimulator/App.app (5 failures) Testing with xcodebuild. 

Después de verificar todas las dependencies. El problema es usar el GoogleMaps.framework, GoogleMapsCore.framework y GoogleMapsBase.framework en s.vendonetworking_frameworks.

No hay solución todavía …

Después de callar mucho time, solucionamos el problema. Estábamos usando en nuestro POD la biblioteca GoogleMaps incluida manualmente GoogleMaps.framework, GoogleMapsBase.framework y GoogleMapsCore.framework. (No podemos utilizarlo como dependencies de pod normales porque hay conflictos con otras bibliotecas rápidas)

También utilizamos la biblioteca de Google Maps utils. https://github.com/googlemaps/google-maps-ios-utils

Y nosotros donde incluimos los encabezados de esta biblioteca como bibliotecas de encabezados públicos en las references s.public_header_files. Eso causa un error de validation.

De todos modos, dejo mi file podspec aquí si alguien tiene el mismo problema. Gracias a todos, siéntete libre de comentar.

 Pod::Spec.new do |s| s.name = 'Core' s.version = '0.1.0' s.summary = 'Core. Core APP for APPS.' s.description = <<-DESC Core is the heart of all the APPS instances and APPS. Includes all the major assets and the resources for optimize all the system. Anyway the wind blows. DESC s.homepage = 'https://core.git' # s.screenshots = 'www.example.com/screenshots_1', 'www.example.com/screenshots_2' s.license = { :type => 'MIT', :file => 'LICENSE' } s.author = { 'Moblie Department' => 'mail@core.com' } s.source = { :git => 'https://core.git', :tag => s.version.to_s } s.ios.deployment_target = '8.0' #tot el codi que s'ha de comstackr s.source_files = 'Core/Classes/**/*.{h,m,swift}', 'Core/PrivateClasses/GoogleAnalyticsServices/*.h', 'Core/PrivateClasses/GoogleConversionTracking/**/*.h', 'Core/PrivateClasses/GoogleMapsUtils/**/*.{h,m}', 'Core/PrivateClasses/ZLib/*.h', 'Core/PrivateClasses/XMLParser/*.h' s.requires_arc = true #les classes que seran publiques s.public_header_files = 'Core/Classes/**/*.h', 'Core/PrivateClasses/GoogleAnalyticsServices/*.h' 'Core/PrivateClasses/GoogleConversionTracking/*.h' 'Core/PrivateClasses/XMLParser/*.h' 'Core/PrivateClasses/ZLib/*.h' s.framework = 'CoreData','SystemConfiguration', 'Accelerate', 'CoreGraphics', 'CoreLocation', 'CoreText', 'GLKit', 'ImageIO', 'OpenGLES', 'QuartzCore', 'UIKit', 'AdSupport' s.vendonetworking_framework = 'Core/Dependencies/GoogleMaps.framework', 'Core/Dependencies/GoogleMapsBase.framework', 'Core/Dependencies/GoogleMapsCore.framework', 'Core/Dependencies/Crashlytics.framework', 'Core/Dependencies/Fabric.framework' s.vendonetworking_libraries = 'Core/PrivateClasses/GoogleAnalyticsServices/*.a', 'Core/PrivateClasses/GoogleConversionTracking/*.a' s.xcconfig = {'OTHER_LDFLAGS' => '-ObjC', 'CLANG_ALLOW_NON_MODULAR_INCLUDES_IN_FRAMEWORK_MODULES' => 'YES', 'FRAMEWORK_SEARCH_PATHS' => '$(inherited) $(SRCROOT)', 'HEADER_SEARCH_PATHS' =>'$(inherited) $(SDKROOT)/usr/include/libxml2 $(SRCROOT)', 'ARCHS' => '$(inherited)', 'VALID_ARCHS' =>'$(inherited)'} s.library = 'z', 'c++', 'xml2' s.resource_bundles = { 'Core' => ['Core/**/*.{png,jpg,xib,strings}'] } s.dependency 'Floaty', '~> 3.0.0' s.dependency 'Charts', '~> 3.0.2' s.dependency 'AFNetworking', '~> 3.1.0' s.dependency 'MBProgressHUD' s.dependency 'FBSDKLoginKit', '~> 4.11' s.dependency 'FBSDKShareKit', '~> 4.11' s.dependency 'NSHash', '~> 1.1' s.dependency 'UITextField+Shake', '~> 1.1' s.dependency 'UIView+Shake', '~> 1.1' s.dependency 'SVPullToRefresh' s.dependency 'SDWebImage', '~> 3.8' s.dependency 'AQSInstagramActivity', '~> 0.1' s.dependency 'AQSTwitterActivity', '~> 0.1' s.dependency 'SSZipArchive', '~> 1.8.1' s.dependency 'UIAlertView+Blocks', '~> 0.9' s.dependency 'UIActionSheet+Blocks', '~> 0.9' s.dependency 'FSLineChart', '0.1.4' s.dependency 'PESGraph', '~> 0.2' s.dependency 'UIScrollView+Direction', '~> 1.0' s.dependency 'SMCalloutView', '~> 2.1' s.dependency 'EDSemver', '~> 0.3' s.dependency 'UIButton+MiddleAligning' s.dependency 'UIView+Border', '~> 1.0' s.dependency 'LCBannerView' s.dependency 'XLForm' s.dependency 'MBProgressHUD' s.dependency 'sqlite3' end